<?php
/**
 * $Horde: jeta/config/prefs.php.dist,v 1.4 2006/12/19 15:09:44 jan Exp $
 *
 * See horde/config/prefs.php for documentation on the structure of this file.
 */

$prefGroups['base'] = array(
    'column' => _("General Options"),
    'label' => _("Base Settings"),
    'desc' => _("Change your base settings."),
    'members' => array('host', 'port', 'sshdriver')
);

$prefGroups['sshtools'] = array(
    'column' => _("Applet Options"),
    'label' => _("SSHTools Options"),
    'desc' => _("Options that control the behavior of the SSHTools applet."),
    'members' => array('sshtools_auth', 'sshtools_connect_immediately',
                       'sshtools_connect_dialog',
                       'sshtools_disable_hostkey_verify',
                       'sshtools_show_toolbar', 'sshtools_show_menubar',
                       'sshtools_show_statusbar', 'sshtools_show_scrollbar',
                       'sshtools_autohide')
);

$prefGroups['jta'] = array(
    'column' => _("Applet Options"),
    'label' => _("JTA Options"),
    'desc' => _("Options that control the behavior of the JTA applet."),
    'members' => array('jta_detach', 'jta_detach_fullscreen',
                       'jta_detach_title', 'jta_detach_immediately',
                       'jta_detach_start', 'jta_detach_stop',
                       'jta_detach_menubar', 'jta_detach_disconnect',
                       'jta_disconnect')
);

//
$_prefs['host'] = array(
    'value' => '',
    'locked' => false,
    'shared' => false,
    'type' => 'text',
    'desc' => _("The default server name to connect to.")
);

//
$_prefs['port'] = array(
    'value' => 22,
    'locked' => false,
    'shared' => false,
    'type' => 'number',
    'desc' => _("The default port to connect to.")
);
    
//
$_prefs['sshdriver'] = array(
    'value' => 'sshtools',
    'locked' => false,
    'shared' => false,
    'type' => 'enum',
    'enum' => array('sshtools' => _("SSHTools"),
                    'jta' => _("JTA (non-commerical use only)")),
    'desc' => _("SSH application to use:")
);

//
$_prefs['sshtools_auth'] = array(
    'value' => 'password',
    'locked' => false,
    'shared' => false,
    'type' => 'enum',
    'enum' => array('password' => _("password"),
                    'publickey' => _("publickey")),
    'desc' => _("Authentication method:")
);

//
$_prefs['sshtools_connect_immediately'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Connect immediately when the user loads the page?")
);

//
$_prefs['sshtools_connect_dialog'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Show the connection dialog?")
);

//
$_prefs['sshtools_disable_hostkey_verify'] = array(
    'value' => 0,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Disable the hostkey verification?")
);

//
$_prefs['sshtools_show_toolbar'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Enable the toolbar?")
);

//
$_prefs['sshtools_show_menubar'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Enable the menubar?")
);

//
$_prefs['sshtools_show_statusbar'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Enable the statusbar?")
);

//
$_prefs['sshtools_show_scrollbar'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Enable the scrollbar?")
);

//
$_prefs['sshtools_autohide'] = array(
    'value' => 0,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Enable auto-hiding of the tool bar, menu bar, status bar and scroll bar?")
);

//
$_prefs['jta_detach'] = array(
    'value' => 0,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Detach the actual terminal display and its components from the browser window and run in a separate window?")
);

//
$_prefs['jta_detach_fullscreen'] = array(
    'value' => 0,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Make the detached window fill the entire screen?")
);

//
$_prefs['jta_detach_title'] = array(
    'value' => _("SSH Terminal"),
    'locked' => false,
    'shared' => false,
    'type' => 'text',
    'desc' => _("The window title of the detached applet.")
);

//
$_prefs['jta_detach_immediately'] = array(
    'value' => 0,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("If selected, applet will detach immediately from page on load. If not selected, user will need to press start button before applet becomes detached.")
);

//
$_prefs['jta_detach_start'] = array(
    'value' => _("Connect"),
    'locked' => false,
    'shared' => false,
    'type' => 'text',
    'desc' => _("The text to use for the start button.")
);

//
$_prefs['jta_detach_stop'] = array(
    'value' => _("Disconnect"),
    'locked' => false,
    'shared' => false,
    'type' => 'text',
    'desc' => _("The text to use for the disconnect button.")
);

//
$_prefs['jta_detach_menubar'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Show the menubar in the detached applet?")
);

//
$_prefs['jta_detach_disconnect'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Close the detached window if the SSH session is lost?")
);

//
$_prefs['jta_disconnect'] = array(
    'value' => 1,
    'locked' => false,
    'shared' => false,
    'type' => 'checkbox',
    'desc' => _("Close the SSH session if you leave the page?")
);
